package net.tccn.redim.service;

import net.tccn.redim.entity.MsgRecord;
import net.tccn.redim.info.MsgInfo;
import org.redkale.service.RetResult;
import org.redkale.service.Service;

import java.util.List;


public interface ImMsgService extends Service {

    /**
     * 消息入库
     *
     * @param msg
     */
    RetResult insert(MsgRecord... msg);

    /**
     * 消息修改
     */
    RetResult update(MsgRecord... msg);

    /**
     * 历史消息
     *
     * @return
     */
    RetResult list();

    /**
     * 创建消息体
     *
     * @param msg
     */
    RetResult<MsgInfo> createMsgInfo(MsgRecord msg);

    /**
     * 获取离线消息
     *
     * @param userid
     * @return
     */
    RetResult<List<MsgRecord>> offlineMsg(int userid);
}
